function rules() {
	new _uWnd('', 'Общие правила чата', 380, 200, {
		autosize: 1,
		maxh: 300,
		minh: 100
	},
	'<div style="text-align:left;"><b>В чате строго запрещено следующее:</b><div>• Запрещено обсуждение действий администрации, оскорбление пользователей сайта не зависимо от их группы.</div><div>• Использование аватаров и (или) подписей, содержание которых оскорбляет и (или) унижает пользователей.</div><div>• Проявление расовой, национальной и религиозной неприязни, пропагандирование терроризма, экстремизма, наркотиков.</div><div>• Засорение чата комментариями или сообщениями, не имеющими смысла (флуд).</div><div>• Распространение ссылок на другие проекты, сайты, файлы. Сначала выдается предупреждение, в случае игнорирования - бан.</div><div>• Распространение материалов порнографического характера.</div></div>')
}

function reload() {
	$.get('/mchat/', function (data) {
		$('#mchat').html('');
		$('div[class*="cBlock"]', data).each(function () {
			var $privat = $('.chat_privat', this).text();
			var $ya = $('.chat_ya', this).text();
			if ($privat == '') {
				$('#mchat').append($(this).html())
			} else {
				if ($privat == $mynik || $ya == $mynik) {
					$('.chat_message', this).addClass('chat_priv');
					$('#fp', this).before('<b>> ' + $privat + '</b> ');
					$('#mchat').append($(this).html())
				}
			}
		});
	});
	setTimeout("chat_sound_test()", 1000);
}

function radio() {
	$('#radio').slideToggle()
}

function privat(a) {
	$('#chat_privat').val(a);
	$('#chat_forprivat').html('Сейчас Вы пишите приватное сообщение для ' + a + ' ( <a href="javascript://" onclick="$(\'#chat_privat\').val(\'\');$(\'#chat_forprivat\').html(\'\')">Отменить</a>)');
};

function chat_post() {
	if ($('#mchatMsgF').val().length < 4) {
		_uWnd.alert('<div style="margin-top:15px" class="myWinError">Не заполнено поле \"Сообщение\"<br />(Меньше 4 символов отправлять нельзя)</div>', '', {
			w: 250,
			h: 90,
			tm: 3000
		})
	} else {
		$.post('/mchat', {
			a: 18,
			ajax: 1,
			ajaxFlag: 1,
			numa832: 0,
			custom1: $('#chat_privat').val(),
			mcmessage: $('#mchatMsgF').val()
		},
		function (dat) {
			$('#mchatMsgF').val('');
			$('#chat_privat').val('');
			$('#chat_forprivat').html('');
			reload();
			$('#mchatMsgF').after("<scr" + "ipt type='text/javascript'>" + $('ajax', dat).text() + "</sc" + "ript>");
		});
	};
};

function nik(a) {
	$('#mchatMsgF').val('[b]'+a+'[/b], '+$('#mchatMsgF').val())
};

function chat_sound() {
	if ($('#sounds').attr('src') == '/js/sound_low.png') {
		$('#sounds').attr('src', '/js/sound_mute.png');
		sounds = 0
	} else {
		$('#sounds').attr('src', '/js/sound_low.png');
		sounds = 1
	}
}

function chat_sound_test() {
	if (sounds) {
		if (first_m != $('#fp:first').text()) {
			first_m = $('#fp:first').text();
			$('#chat_sound').html('<embed type="application/x-shockwave-flash" src="http://s51.ucoz.net/flash/audio1.swf?song_url=http://trane73.ru/js/chat/resource/newmsg.mp3&autoplay=1&loop=0" width="0" height="0" />')
		}
	}
}

$.get('/mchat/', function (data) {
	$('#mchat').html('');
	$('div[class*="cBlock"]', data).each(function () {
		var $privat = $('.chat_privat', this).text();
		var $ya = $('.chat_ya', this).text();
		if ($privat == '') {
			$('#mchat').append($(this).html())
		} else {
			if ($privat == $mynik || $ya == $mynik) {
				$('.chat_message', this).addClass('chat_priv');
				$('#fp', this).before('<b>> ' + $privat + '</b> ');
				$('#mchat').append($(this).html())
			}
		}
	});
});
setTimeout("first_m = $('#fp:first').text()", 5000);
setInterval("reload()", 15000);